Subject: Re: Erroneous uses of regex in the invokation of FIND-FILES

From: Alex Vong <[email-masked]>
Date: Fri, 23 Aug 2019 11:55:00 +0800

Hello Mark,

>> You're right.  It would be good to fix these problems incrementally, as
>> long as the changes don't cause too many rebuilds.
>>
I agree we should fix it incrementally, like how the 'invoke' transition
was handled. The patch below does exactly that (it fixes the problem for
delta which causes 6 rebuilds only according to "guix refresh -l").

From cb5f2febd564a2bcb550de537156db59588098c4 Mon Sep 17 00:00:00 2001
From: Alex Vong <[email-masked]>
Date: Fri, 23 Aug 2019 11:06:49 +0800
Subject: [PATCH] gnu: delta: Fix regex in the invokation of 'find-files'.

See <https://bugs.gnu.org/37150> for more information.

* gnu/packages/debug.scm (delta)[arguments]: Fix regex.
---
 gnu/packages/debug.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/debug.scm b/gnu/packages/debug.scm
index 82631deef6..e1cba5d3fe 100644
--- a/gnu/packages/debug.scm
+++ b/gnu/packages/debug.scm
@@ -75,7 +75,7 @@
                (begin
                  (for-each (lambda (h)
                              (install-file h doc))
-                           `("License.txt" ,@(find-files "www" ".*\\.html")))
+                           `("License.txt" ,@(find-files "www" "\\.html$")))
                  (for-each (lambda (b)
                              (install-file b bin))
                            `("delta" "multidelta" "topformflat"))))
-- 
2.23.0

>> Changes to core packages will need to wait for now, since 'core-updates'
>> is frozen, and 'core-updates-next' should also be considered frozen,
>> since it will become 'core-updates' as soon as Berlin has built it out a
>> bit more.  (The only change in 'core-updates-next' relative to
>> 'core-updates' is that the new bootstrap tarballs have been fixed to be
>> deterministic.)
>>
>> For some of these fixes, it might be best to apply them to 'staging'.
>>
>>> Right now, the erroneous use of regex in CUSTOM-GCC casues the 'bin/'
>>> directory of the output of gccgo, gcc-objc and gcc-objc++ to be empty.
>>
>> I'm uncertain how many rebuilds it would trigger to change 'custom-gcc',
>> and I don't have confidence that "guix refresh -l" is capable of giving
>> us a reliable answer.  In the meantime, would you like to file a bug
>> report for this, so it's not forgotten?
>>
It would probably cause a world rebuild... I will wait for the next
cycle for patch submittion.

>> Thanks for looking into it.
>>
>>      Best,
>>       Mark

You're welcomed!

-- 
Stand with Hong Kong!
#Eye4HK #BoycottMulan
Alex

https://twitter.com/freedomhkg
https://twitter.com/stand_with_hk